Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229190 - Archos Recorder 10 not recognized as a USB storage device
Summary: Archos Recorder 10 not recognized as a USB storage device
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-19 13:34 UTC by David Nielsen
Modified: 2009-06-13 18:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-13 18:58:59 UTC


Attachments (Terms of Use)

Description David Nielsen 2007-02-19 13:34:23 UTC
Description of problem:
Hooking up my archos no longer yields automounting, it is detected by the kernel
as can be seen via dmesg:

usb 1-3: new full speed USB device using ohci_hcd and address 6
usb 1-3: configuration #1 chosen from 1 choice

As far as I can tell the Archos is a normal USB mass storage device and it has
previously automounted on Fedora.

Version-Release number of selected component (if applicable):
hal-0.5.9-0.git20070206.1.fc7
dbus-1.0.1-9.fc6
gnome-volume-manager-2.17.0-4.fc7
gnome-mount-0.5-3.fc7
udev-104-2

How reproducible:
100%

Steps to Reproduce:
1. turn on Archos
2. insert USB cable
  
Actual results:
No automounted USB device

Expected results:
Gloriously mounted Archos as by magic

Additional info:

Comment 1 zongzhi liu 2007-08-06 04:07:05 UTC
I have the same problem.  I am using archos jukebox recorder V2

Comment 2 David Nielsen 2007-10-21 05:35:55 UTC
I'm still seeing this, however it doesn't appear to be a hal bug as no device
node is created for the device when it's plugged in. I'm reassigning to udev.

Comment 3 David Nielsen 2007-10-21 05:36:49 UTC
And let's reassign to Harald Hoyer as he appears to be the udev overlord

Comment 4 Harald Hoyer 2007-10-21 06:44:25 UTC
please show me the output of
# udevmonitor

while plugging in the udev devices. Also you may turn on udev debugging in
/etc/udev/udev.conf and report the messages in /var/log/messages, which fit the
events.

Comment 5 David Nielsen 2007-10-21 07:01:58 UTC
udevmonitor will print the received events for:
UDEV the event which udev sends out after rule processing
UEVENT the kernel uevent

UEVENT[1192949889.207338] add      /devices/pci0000:00/0000:00:02.0/usb2/2-3 (usb)
UEVENT[1192949889.207513] add      /class/usb_endpoint/usbdev2.5_ep00 (usb_endpoint)
UEVENT[1192949889.210323] add     
/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0 (usb)
UEVENT[1192949889.210499] add      /class/usb_endpoint/usbdev2.5_ep01 (usb_endpoint)
UEVENT[1192949889.210540] add      /class/usb_endpoint/usbdev2.5_ep82 (usb_endpoint)
UEVENT[1192949889.210677] add      /class/usb_endpoint/usbdev2.5_ep83 (usb_endpoint)
UDEV  [1192949889.262836] add      /devices/pci0000:00/0000:00:02.0/usb2/2-3 (usb)
UDEV  [1192949889.280365] add      /class/usb_endpoint/usbdev2.5_ep00 (usb_endpoint)
UDEV  [1192949889.406758] add     
/devices/pci0000:00/0000:00:02.0/usb2/2-3/2-3:1.0 (usb)
UDEV  [1192949889.438546] add      /class/usb_endpoint/usbdev2.5_ep82 (usb_endpoint)
UDEV  [1192949889.442472] add      /class/usb_endpoint/usbdev2.5_ep01 (usb_endpoint)
UDEV  [1192949889.443981] add      /class/usb_endpoint/usbdev2.5_ep83 (usb_endpoint)

Oct 21 08:58:36 dawkins kernel:last message repeated 2 times
Oct 21 08:58:36 dawkins kernel: usb 2-3: USB disconnect, address 5



Comment 6 Harald Hoyer 2007-10-21 07:08:50 UTC
> I'm still seeing this, however it doesn't appear to be a hal bug as no device
> node is created for the device when it's plugged in. I'm reassigning to udev.

And there really are no 
/dev/usbdev2.5_ep82
/dev/usbdev2.5_ep01
/dev/usbdev2.5_ep83

devices? (numbers may change)

Comment 7 Harald Hoyer 2007-10-21 07:10:38 UTC
or devices appearing in /dev/bus/usb/*/* ?

Comment 8 David Nielsen 2007-10-21 07:20:17 UTC
the /dev/usbdev* nodes are created, but I'm still not getting the old /dev/sdxy
link I used to have and it's not automounting - I figured this was udev' fault.
Please do correct me if that is a wrong assumption.

Comment 9 Harald Hoyer 2007-10-21 07:26:30 UTC
hmm, since usb_storage should have taken care of registering the mass storage
device as a disk, I am reassigning this to kernel

Comment 10 Chuck Ebbert 2007-10-21 15:40:12 UTC
Does adding "usbcore.autosuspend=-1" to the kernel options make any difference?


Comment 11 David Nielsen 2007-10-21 17:27:49 UTC
no difference what so ever

Comment 12 Bug Zapper 2008-04-03 19:11:00 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 13 David Nielsen 2008-04-03 23:42:51 UTC
Crazy bugzappers, I'd like my archos to work please.

In an interesting development I got this when I plugged the Archos in today for
testing:

usb 3-3: new full speed USB device using ohci_hcd and address 2
usb 3-3: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi4 : SCSI emulation for USB Mass Storage devices
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
Unable to handle kernel NULL pointer dereference at 000000000000000c RIP: 
 [<ffffffff8841277e>] :usb_storage:usb_stor_access_xfer_buf+0xaa/0x1d7
PGD 7e871067 PUD 7a409067 PMD 0 
Oops: 0000 [1] SMP 
CPU 1 
Modules linked in: usb_storage autofs4 fuse sunrpc nf_conntrack_ipv4 ipt_REJECT
iptable_filter ip_tables nf_conntrack_ipv6 xt_state nf_conntrack xt_tcpudp
ip6t_ipv6header ip6t_REJECT ip6table_filter ip6_tables x_tables cpufreq_ondemand
loop dm_multipath raid1 radeon drm ipv6 arc4 ecb blkcipher rt61pci rt2x00pci
snd_usb_audio rt2x00lib rfkill input_polldev snd_seq_dummy snd_seq_oss
snd_seq_midi_event mac80211 snd_seq firewire_ohci snd_pcm_oss firewire_core
snd_mixer_oss k8temp cfg80211 crc_itu_t uvcvideo snd_pcm hwmon eeprom_93cx6
pcspkr compat_ioctl32 snd_timer videodev snd_page_alloc v4l1_compat shpchp
v4l2_common snd_usb_lib forcedeth snd_rawmidi snd_seq_device i2c_nforce2
snd_hwdep snd i2c_core soundcore button sg sr_mod cdrom pata_amd dm_snapshot
dm_zero dm_mirror dm_mod pata_acpi sata_nv ata_generic libata sd_mod scsi_mod
raid456 async_xor async_memcpy async_tx xor raid0 ext3 jbd mbcache uhci_hcd
ohci_hcd ehci_hcd
Pid: 7058, comm: usb-storage Not tainted 2.6.24.3-50.fc8 #1
RIP: 0010:[<ffffffff8841277e>]  [<ffffffff8841277e>]
:usb_storage:usb_stor_access_xfer_buf+0xaa/0x1d7
RSP: 0018:ffff810004a01dd0  EFLAGS: 00010283
RAX: 0000000000000200 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000024 RSI: ffff810035b06c24 RDI: ffff810004a01e44
RBP: 0000000000000000 R08: ffff810004a01e44 R09: 0000000000000000
R10: ffff81000b600050 R11: 0000000000000000 R12: 0000000000000024
R13: 0000000000000000 R14: 0000000000000024 R15: 00000000019e21a0
FS:  00002aaaaaac36f0(0000) GS:ffff81007f801700(0000) knlGS:00000000f7fdc6d0
CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
CR2: 000000000000000c CR3: 000000007a487000 CR4: 00000000000006a0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process usb-storage (pid: 7058, threadinfo ffff810004a00000, task ffff81000b600000)
Stack:  00000000813923c0 ffff810004a01e44 ffff810004a01e38 0000006000000086
 ffff810035b06c00 0000000000000060 ffff8100378e3c40 ffff810046107c68
 ffffffffffffffff ffffffff8145e540 0000000000000000 ffffffff884128d9
Call Trace:
 [<ffffffff884128d9>] :usb_storage:usb_stor_set_xfer_buf+0x2e/0x44
 [<ffffffff88418752>] :usb_storage:isd200_ata_command+0xf6/0x498
 [<ffffffff88413c04>] :usb_storage:usb_stor_control_thread+0x14c/0x203
 [<ffffffff88413ab8>] :usb_storage:usb_stor_control_thread+0x0/0x203
 [<ffffffff810490f2>] kthread+0x47/0x75
 [<ffffffff8100cca8>] child_rip+0xa/0x12
 [<ffffffff810490ab>] kthread+0x0/0x75
 [<ffffffff8100cc9e>] child_rip+0x0/0x12


Code: 8b 6b 0c 8b 54 24 1c 48 8b 33 8b 07 44 29 f2 29 c5 89 c1 03 
RIP  [<ffffffff8841277e>] :usb_storage:usb_stor_access_xfer_buf+0xaa/0x1d7
 RSP <ffff810004a01dd0>
CR2: 000000000000000c
---[ end trace 7994fe76787547c7 ]---

kernel: 2.6.24.3-50.fc8 
arch: x86_64

Comment 14 Bug Zapper 2008-05-14 02:37:56 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 15 Bug Zapper 2009-06-09 22:27:56 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 16 David Nielsen 2009-06-13 18:58:59 UTC
this has since been fixed and I can confirm using kernel-2.6.30-0.97.rc8.fc12.x86_64


Note You need to log in before you can comment on or make changes to this bug.